%OUTLINE  Highlight with frames a row or column of matrix A.  9/15/98
%         Called from detrecur to put color frames around the entries
%         of matrix A which are defined as buttons.
%  By: David R. Hill, Mathematics Dept., Temple Univ.
%      Philadelphia, PA. 19122    Email: dhill001@temple.edu

inc=.005;
if clr=='r'
   expandbut=[];
end   
if expmode1=='R'
   ii=loc;
   for jj=1:matsize
      st=['br' num2str(ii) 'c' num2str(jj)];
      if clr=='r'
         st=[st 'r'];%generating unique name for red frames
         expandbut=[expandbut;st];
      end   
       place='[xstart-inc+(jj-1)*.06 ystart-inc+(matsize-ii)*.06 .05+2*inc .05+2*inc]';
       part1=['uicontrol(''style'',''frame'',''units'',''normal'',''pos'','];
       part2=['''backgroundcolor'',clr);'];
       st=[st '=' part1 'eval(place),' part2];
       eval(st);
       drawnow
    end
else
    jj=loc;
    for ii=matsize:-1:1  %row subscript control
       st=['br' num2str(ii) 'c' num2str(jj)];
       if clr=='r'
          st=[st 'r'];%generating unique name for red frames
          expandbut=[expandbut;st];
       end  
       place='[xstart-inc+(jj-1)*.06 ystart-inc+(matsize-ii)*.06 .05+2*inc .05+2*inc]';
       part1=['uicontrol(''style'',''frame'',''units'',''normal'',''pos'','];
       part2=['''backgroundcolor'',clr);'];
       st=[st '=' part1 'eval(place),' part2];
       eval(st);
       drawnow
    end
end